Bug 160145 - ncurses does not build from FC-4 cvs
ncurses does not build from FC-4 cvs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Raszyk
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-11 12:18 EDT by Roozbeh Pournader
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: ncurses 5.4 Rel.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 12:19:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2005-06-11 12:18:39 EDT
Description of problem:
ncurses does not build from the FC-4 branch in the CVS. Building it results in
an error message ending with the following text:

Provides: libform.so.5 libformw.so.5 libmenu.so.5 libmenuw.so.5 libncurses.so.5
libncursesw.so.5 libpanel.so.5 libpanelw.so.5
Requires(interp): /sbin/ldconfig /sbin/ldconfig
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: /bin/sh libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libdl.so.2 libncurses.so.5
Processing files: ncurses-devel-5.4-17
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.38450
+ umask 022
+ cd /home/roozbeh/FC-4/ncurses
+ cd ncurses-5.4
+ DOCDIR=/var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ export DOCDIR
+ rm -rf /var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ /bin/mkdir -p /var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ cp -pr test /var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ cp -pr doc/html/hackguide.html
/var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ cp -pr doc/html/ncurses-intro.html
/var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ cp -pr c++/README-first /var/tmp/ncurses-root/usr/share/doc/ncurses-devel-5.4
+ exit 0
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /bin/sh /usr/bin/perl ncurses = 5.4
Obsoletes: ncurses-c++-devel
Processing files: ncurses-debuginfo-5.4-17
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/ncurses-root
error: Installed (but unpackaged) file(s) found:
   /usr/lib/terminfo


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib/terminfo
make: *** [i386] Error 1


Version-Release number of selected component (if applicable):
ncurses-5.4-17

How reproducible:
Always

Steps to Reproduce:
1. cvs co FC-4
2. cd ncurses
3. make i386
Comment 1 Petr Rockai 2005-06-16 05:19:12 EDT
Fixed in CVS. 

Note You need to log in before you can comment on or make changes to this bug.